FTXUI 6.1.9 C++ functional terminal UI.

Loading...
Searching...
No Matches
Namespaces | Functions
string.cpp File Reference

Go to the source code of this file.

## Namespaces
namespace | ftxui
| The FTXUI ftxui:: namespace.

## Functions
bool | EatCodePoint (const std::string &input, size_t start, size_t *end, uint32_t *ucs)
bool | EatCodePoint (const std::wstring &input, size_t start, size_t *end, uint32_t *ucs)
bool | IsCombining (uint32_t ucs)
bool | IsFullWidth (uint32_t ucs)
bool | IsControl (uint32_t ucs)
WordBreakProperty | CodepointToWordBreakProperty (uint32_t codepoint)
int | wchar_width (wchar_t)
int | wstring_width (const std::wstring &)
int | string_width (const std::string &)
std::vector< std::string > | Utf8ToGlyphs (const std::string &input)
size_t | GlyphPrevious (const std::string &input, size_t start)
size_t | GlyphNext (const std::string &input, size_t start)
size_t | GlyphIterate (const std::string &input, int glyph_offset, size_t start)
std::vector< int > | CellToGlyphIndex (const std::string &input)
int | GlyphCount (const std::string &input)
std::vector< WordBreakProperty > | Utf8ToWordBreakProperty (const std::string &input)
std::string | to_string (const std::wstring &s)
| Convert a std::wstring into a UTF8 std::string.
std::wstring | to_wstring (const std::string &s)
| Convert a UTF8 std::string into a std::wstring.